Get recurrence
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"counterparty_bank_account_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"start_date": "2020-04-20T16:20:00Z",
"counterparty_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"stages": [
{
"cancelation_code": "cancelation_code_example",
"cancelation_description": "Cancelation description example",
"cancelation_origin": "cancelation_origin_example",
"collection_id": "019f2433-fdc1-a7a6-9557-1c38fa07c8e5",
"collection_timestamp": "2026-07-02T19:00:14.913129Z",
"error_code": "error_code_example",
"error_message": "Error message example",
"id": "019f2433-fdc1-53fe-14ea-617fe2336a71",
"inserted_at": "2026-07-02T19:00:14.913130Z",
"journey": "aut1",
"recurrence_id": "019f2433-fdc1-9817-06e4-902a60e62b60",
"reference_id": "019f2433-fdc1-f636-788c-367410d4c4d4",
"reference_type": "qrdn",
"rejection_code": "rejection_code_example",
"rejection_description": "Rejection description example",
"request_id": "019f2433-fdc1-d9ac-17fe-648dcf02fd4c",
"request_timestamp": "2026-07-02T19:00:14.913128Z",
"status": "approved",
"timestamp": "2026-07-02T19:00:14.913120Z",
"updated_at": "2026-07-02T19:00:14.913130Z",
"virtual_account_id": "019f2433-fdc1-2c0a-6b50-b8a887870405"
}
],
"inserted_at": "2020-04-20T16:20:00Z",
"requests": [
{
"counterparty_bank_account_id": "019f2433-fc97-7566-84ad-5434d7552b5e",
"counterparty_id": "019f2433-fc97-3749-e9e3-9bdc4342480b",
"counterparty_seq": 1,
"expiration_date": "2026-07-02T19:00:14.615303Z",
"id": "019f2433-fc97-c6c0-c99d-1ea6493fb153",
"id_solic_rec": "1234567890",
"inserted_at": "2026-07-02T19:00:14.615305Z",
"recurrence_id": "019f2433-fc97-8d99-fc31-cf9409b24fe3",
"recurrence_timestamp": "2026-07-02T19:00:14.615302Z",
"status": "created",
"timestamp": "2026-07-02T19:00:14.615295Z",
"updated_at": "2026-07-02T19:00:14.615305Z"
}
],
"type": "in",
"entity_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"reference_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"minimum_amount": {
"amount": "",
"currency": ""
},
"ispb": "",
"first_payment_date": "2020-04-20T16:20:00Z",
"virtual_account_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"number_of_collections": "",
"company_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"automatic_schedule": "",
"end_date": "2020-04-20T16:20:00Z",
"status": "created",
"updated_at": "2020-04-20T16:20:00Z",
"next_working_day": "",
"description": "",
"id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"id_rec": "",
"fixed_amount": {
"amount": "",
"currency": ""
},
"contract_number": "",
"txid": "",
"journey": "aut1",
"external_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"authorization_date": "2020-04-20T16:20:00Z",
"retry_policy": "none",
"timestamp": "",
"origin_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"org_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"first_payment_amount": {
"amount": "",
"currency": ""
},
"maximum_amount": {
"amount": "",
"currency": ""
},
"reference_type": "requ",
"periodicity": "week",
"origin_type": "none",
"update_date": "2020-04-20T16:20:00Z",
"bank_account_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"counterparty_info_id": "02ef9c5f-29e6-48fc-9ec3-7ed57ed351f6",
"counterparty_seq": ""
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Recurrences (Pix)
Get Recurrence
Get recurrence with stages
GET
/
banking
/
cashin
/
pix
/
recurrences
/
{id}
Get recurrence
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Recurrence Id
Query Parameters
Entity Id
Bank Account Id
Virtual account Id
Load stages?
Load requests?
Response
Recurrence
Recurrence response with stages
Data with Stage and Request
Show child attributes
Show child attributes
⌘I

